1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice
  2. Dear Pleskians, please read this carefully! New attachments and other rules Thank you!
    Dismiss Notice
  3. Dear Pleskians, I really hope that you will share your opinion in this Special topic for chatter about Plesk in the Clouds. Thank you!
    Dismiss Notice

Plesk 10 firewall module and unsupported kernel for debian

Discussion in 'Plesk 10.x for Linux Issues, Fixes, How-To' started by Mickael Salfati, May 14, 2012.

  1. Mickael Salfati

    Mickael Salfati Regular Pleskian

    27
     
    Joined:
    Apr 6, 2009
    Messages:
    178
    Likes Received:
    1
    ---------------------------------------------------------------
    PRODUCT, VERSION, OPERATING SYSTEM, ARCHITECTURE
    Plesk 10.4 #MU29, Debian 6 Squeeze
    Linux 3.2.0-0.bpo.2-amd64 #1 SMP Mon Apr 23 08:38:01 UTC 2012 x86_64 GNU/Linux

    PROBLEM DESCRIPTION
    No way to activate rules in firewall module

    STEPS TO REPRODUCE
    Edit a rule and active the firewall configuration

    ACTUAL RESULT
    Unsupported kernel version: 3.2.0-0.bpo.2-amd64

    0: common_func.php3:150
    psaerror(string 'Unsupported kernel version: 3.2.0-0.bpo.2-amd64')
    1: BackendLinux.php:22
    BackendLinux->BackendLinux(array)
    2: FwConfigurator.php:311
    FwConfigurator->render(integer '2')
    3: modules.firewall.edit.activate.php:44
    plesk__modules__firewall__edit__activate->accessItem(string 'GET', NULL null)
    4: UIPointer.php:595
    UIPointer->access(string 'GET')
    5: plesk.php:45

    EXPECTED RESULT
    To be abble to change/active firewall module.

    ANY ADDITIONAL INFORMATION
    This kernel is very used by a lot of user because actual kernel 2.6 is not up to date with new hardware.
    --------------------------------------------------------------
     
  2. IgorG

    IgorG Forums Analyst Staff Member

    49
    24%
    Joined:
    Oct 27, 2009
    Messages:
    24,546
    Likes Received:
    1,240
    Location:
    Novosibirsk, Russia
    Thank you for report. We have already submitted corresponding bugreport about this problem and developers are working on it. I will update thread with results as soon as I receive them.
     
  3. Mickael Salfati

    Mickael Salfati Regular Pleskian

    27
     
    Joined:
    Apr 6, 2009
    Messages:
    178
    Likes Received:
    1
    Thanks for your reply ;)
     
  4. PicoPico

    PicoPico New Pleskian

    12
    85%
    Joined:
    Mar 13, 2012
    Messages:
    7
    Likes Received:
    0
    is there any foreseeable date for the fix? My server is running (a few months already) with a firewall with as many holes as a piece of swiss cheese...

    Thank you very much,
    Pico
     
  5. HoracioS

    HoracioS Regular Pleskian

    28
    90%
    Joined:
    Oct 30, 2009
    Messages:
    159
    Likes Received:
    5
    Location:
    Buenos Aires, Miami, Boston & Tel-Aviv
    Are you running it into VPS?
     
  6. skruger

    skruger New Pleskian

    10
     
    Joined:
    Nov 30, 2012
    Messages:
    1
    Likes Received:
    0
    Same problem here

    I tried to activate firewall rules and got the same error. I'm running Plesk 10.4.4 update #47 on a CentOS 6 distribution on a dedicated server from OVH.

    ERROR: PleskFatalException

    Unsupported kernel version: 3.2.13-xxxx-std-ipv6-64

    0: common_func.php3:150
    psaerror(string 'Unsupported kernel version: 3.2.13-xxxx-std-ipv6-64')
    1: BackendLinux.php:22
    BackendLinux->BackendLinux(array)
    2: FwConfigurator.php:311
    FwConfigurator->render(integer '2')
    3: modules.firewall.edit.activate.php:44
    plesk__modules__firewall__edit__activate->accessItem(string 'GET', NULL null)
    4: UIPointer.php:595
    UIPointer->access(string 'GET')
    5: plesk.php:45

    I see this thread started in May. Is Parallels doing anything about this?
     
  7. IgorG

    IgorG Forums Analyst Staff Member

    49
    24%
    Joined:
    Oct 27, 2009
    Messages:
    24,546
    Likes Received:
    1,240
    Location:
    Novosibirsk, Russia
    Sorry, but request #108000 still under developer's investigation. I will update thread with results as soon as I receive them.
    I can suggest you upgrade to Plesk 11 version where this issue is completely fixed.
     
  8. PicoPico

    PicoPico New Pleskian

    12
    85%
    Joined:
    Mar 13, 2012
    Messages:
    7
    Likes Received:
    0
    I can confirm that this issue is solved with plesk 11

    cheers,
    LP
     
  9. nocrash

    nocrash Basic Pleskian

    23
    90%
    Joined:
    Apr 12, 2007
    Messages:
    37
    Likes Received:
    0
    Hi ! Will this patch also applied to fix Plesk 10.4.4 SuSE 11.4 1013111102.18 (Update #56)? We still cant update this server.

    Thank you!
     
Loading...